package com.usky.dxtop.service.job;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.dxtop.model.Order;
import com.usky.dxtop.service.OrderService;
import com.usky.dxtop.service.emun.OrderPayType;
import com.usky.dxtop.service.emun.OrderStatus;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author yq
 * @date 2021/8/30 16:57
 */
@Slf4j
@Component
public class OrderJob {
    @Autowired
    private OrderService orderService;

//    @Scheduled(cron = "0 */1 * * * ?")
    public void execute(){
        LambdaQueryWrapper<Order> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper
                .ne(Order::getPayType, OrderPayType.XJ.getPayCode())
                .and(wrapper -> wrapper.eq(Order::getOrderFlag, OrderStatus.NO_PAYMENT.getCode())
                        .or()
                        .eq(Order::getOrderFlag, OrderStatus.AWAIT_PAY.getCode()));
        List<Order> list = orderService.list(queryWrapper);
        for (Order order:list) {
            try {
                orderService.callTopFindOrderInfoApi(order.getOrderNumber());
            }catch (Exception e){
                log.error("---orderJob---异常"+e.getMessage());
            }
        }
        log.info("---orderJob---处理完成");
    }

}
